// === NOCLIP METAL ===

textures/props/cable_m01_snow_noclip
{
	qer_editorimage textures/props/cable_m01_snow.tga
	surfaceparm nonsolid
	implicitMap textures/props/cable_m01_snow
}

textures/xlab_wall/xmetal_c03_noclip
{
	qer_editorimage textures/xlab_wall/xmetal_c03.tga
	surfaceparm nonsolid
	implicitMap textures/xlab_wall/xmetal_c03
}

textures/metal_misc/metal_m04dr2_noclip
{
	qer_editorimage textures/metal_misc/metal_m04dr2.tga
	surfaceparm nonsolid
	implicitMap textures/metal_misc/metal_m04dr2
}

textures/metal_misc/ametal_m04a_noclip
{
	qer_editorimage textures/metal_misc/ametal_m04a.tga
	surfaceparm nonsolid
	implicitMap textures/metal_misc/ametal_m04a
}

textures/metal_misc/metal_m03_noclip
{
	qer_editorimage textures/metal_misc/metal_m03.tga
	surfaceparm nonsolid
	implicitMap textures/metal_misc/metal_m03
}

models/mapobjects/etl_props/weap_gamemodel
{
	qer_editorimage models/mapobjects/etl_props/weap.tga
	cull twosided
	{
		map textures/effects/tinfx.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
		tcGen environment 
	}
	{
		map models/mapobjects/etl_props/weap.tga
		blendfunc blend
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 1.0 1.0 )
	}
}

models/mapobjects/etl_props/knt_gamemodel
{
	qer_editorimage models/mapobjects/etl_props/knt.tga
	cull twosided
	{
		map textures/effects/tinfx.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen lightingdiffuse
		tcGen environment 
	}
	{
		map models/mapobjects/etl_props/knt.tga
		blendfunc blend
		rgbGen lightingdiffuse
	}
	{
		map $whiteimage
		blendfunc filter
		rgbGen const ( 1.0 1.0 1.0 )
	}
}

// === GENERATOR ===
textures/etl_props/cable_m01
{
	qer_editorimage textures/props/cable_m01.tga
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map textures/props/cable_m01.tga
		// blendFunc GL_ONE GL_ZERO
		rgbGen lightingDiffuse
		rgbGen const ( 0.6 0.6 0.6 )
	}
	// {
		// map $whiteimage
		// blendfunc filter
		// rgbGen const ( 0.6 0.6 0.6 )
	// }
}

textures/etl_props/cable_moving
{
	qer_editorimage textures/props/cable_m01.tga
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map textures/props/cable_m01.tga
		// blendFunc GL_ONE GL_ZERO
		rgbGen lightingDiffuse
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll -2 0
	}
	// {
		// map $whiteimage
		// blendfunc filter
		// rgbGen const ( 0.6 0.6 0.6 )
	// }
}

textures/etl_props/cable_moving_inverted
{
	qer_editorimage textures/props/cable_m01.tga
	q3map_nonplanar
	q3map_shadeAngle 90
	surfaceparm nosteps
	surfaceparm nomarks
	{
		map textures/props/cable_m01.tga
		// blendFunc GL_ONE GL_ZERO
		rgbGen lightingDiffuse
		rgbGen const ( 0.6 0.6 0.6 )
		tcmod scroll 2 0
	}
	// {
		// map $whiteimage
		// blendfunc filter
		// rgbGen const ( 0.6 0.6 0.6 )
	// }
}

// === GENERATOR LIGHTS ===
textures/etl_props/lights_neutral
{
	qer_editorimage textures/lights/light_tp_m05.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_props/lights_red
{
	qer_editorimage textures/lights/light_tp_m07.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m07.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/etl_props/lights_green
{
	qer_editorimage textures/lights/light_tp_m06.tga
	q3map_surfacelight 6000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_tp_m2.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}